#include <iostream>

using namespace std;

int main()
{
    long long n;
    cin>>n;
    long long a[n*3];
    for (int i=0;i<n*3;i+=3)
    {
        cin>>a[i]>>a[i+1]>>a[i+2];
    }
    cout<<"("<<endl;
    cout<<")"<<endl;
    cout<<"Ne postoji"<<endl;
    cout<<"(()"<<endl;
    cout<<")((("<<endl;
    cout<<"((()()))"<<endl;
    return 0;
}